summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillaume Seren <guillaumeseren@gmail.com>2017-12-07 17:20:35 +0100
committerMichael Orlitzky <mjo@gentoo.org>2017-12-10 10:42:09 -0500
commit14577f8ad12e3267fce5c176f5938ecaefa7ccde (patch)
tree8d120c7498f7840eedb8d3158151897051a31720 /dev-php
parentdev-lisp/clozurecl: Fixes manifest for ccl-1.11-darwinx86.tar.gz (diff)
downloadgentoo-14577f8ad12e3267fce5c176f5938ecaefa7ccde.tar.gz
gentoo-14577f8ad12e3267fce5c176f5938ecaefa7ccde.tar.bz2
gentoo-14577f8ad12e3267fce5c176f5938ecaefa7ccde.zip
dev-php/fedora-autoloader: Add version bump 1.0.0
Package-Manager: Portage-2.3.16, Repoman-2.3.6 Closes: https://bugs.gentoo.org/639764 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Diffstat (limited to 'dev-php')
-rw-r--r--dev-php/fedora-autoloader/Manifest1
-rw-r--r--dev-php/fedora-autoloader/fedora-autoloader-1.0.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-php/fedora-autoloader/Manifest b/dev-php/fedora-autoloader/Manifest
index e37dc02ccc3..4125877c22a 100644
--- a/dev-php/fedora-autoloader/Manifest
+++ b/dev-php/fedora-autoloader/Manifest
@@ -1 +1,2 @@
DIST fedora-autoloader-0.2.1.tar.gz 7634 BLAKE2B e2827ac332a7b50f94383a11b33f25625d67984491fc46dce6ad01d6e4b986c489062464d09ff5ed32f29c2d623ff9d59579fc007eceb1279f660695feea72a0 SHA512 81501dbc0668c1cc6d6fb030e0d9ee91d31db8fa32b3348a0215dbf20a3ef1d41bc398124e1d7f0c1d5ffa8fce8c33e60a3182eaba6ba740d78b4a7f6db2aea8
+DIST fedora-autoloader-1.0.0.tar.gz 8504 BLAKE2B ada69f3f3126b2c233b0ab933e52468d8303dbaacfc27364f490ce7b093043f92913ecc55180b460828573f0f204f5e7f4d10b3149ef6f5b3cee1d645fa6ac58 SHA512 a8e3330d961a9415a817d41ad9feb91018aa398607a2adce1f8386d491581773226f6819ac3d90827344898fbbdb32c0881af3f122efdad021f7ce70a07cc66e
diff --git a/dev-php/fedora-autoloader/fedora-autoloader-1.0.0.ebuild b/dev-php/fedora-autoloader/fedora-autoloader-1.0.0.ebuild
new file mode 100644
index 00000000000..0decde9fce0
--- /dev/null
+++ b/dev-php/fedora-autoloader/fedora-autoloader-1.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Fedora's Static PSR-4, PSR-0, and classmap autoloader"
+HOMEPAGE="https://github.com/php-fedora/autoloader"
+SRC_URI="https://github.com/php-fedora/autoloader/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+
+IUSE="test"
+
+RESTRICT="test"
+
+RDEPEND="dev-lang/php:*"
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-php/phpunit )"
+
+S="${WORKDIR}/autoloader-${PV}"
+
+src_install() {
+ insinto "/usr/share/php/Fedora/Autoloader"
+ doins -r src/.
+ dodoc CHANGELOG.md README.md
+}
+
+src_test() {
+ phpunit || die "test suite failed"
+}